Groovy Documentation

## org.codehaus.groovy.grails.web.pages
[Java] Class DefaultGroovyPagesUriService

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPagesUriSupport
          org.codehaus.groovy.grails.web.pages.DefaultGroovyPagesUriService

All Implemented Interfaces:
  GroovyPagesUriService

    public class DefaultGroovyPagesUriService
    extends GroovyPagesUriSupport

Provides services for resolving URIs caches lookups in an internal ConcurrentHashMap cache

Authors:
  Lari Hotari , Sagire Software Oy

Field Summary

Fields inherited from class GroovyPagesUriSupport
PATH_TO_VIEWS

Method Summary
`void` | `clear()`
`java.lang.String` | `getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)`
`java.lang.String` | `getLogicalControllerName(groovy.lang.GroovyObject controller)`
`java.lang.String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)`
`java.lang.String` | `getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)`
`java.lang.String` | `getTemplateURI(java.lang.String controllerName, java.lang.String templateName)`
`java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)`

Method Detail

### clear

    public void clear()

### getDeployedViewURI

    @Override
    public java.lang.String getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)

### getLogicalControllerName

    @Override
    public java.lang.String getLogicalControllerName(groovy.lang.GroovyObject controller)

### getNoSuffixViewURI

    @Override
    public java.lang.String getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

### getNoSuffixViewURI

    @Override
    public java.lang.String getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)

### getTemplateURI

    @Override
    public java.lang.String getTemplateURI(java.lang.String controllerName, java.lang.String templateName)

### getTemplateURI

    @Override
    public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)

Groovy Documentation